// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
var currentFavs = [];

angular.module('starter', ['ionic', 'starter.controllers','ui.router','ngCordova'])

.run(function($ionicPlatform, $ionicPopup) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
				// Check for network connection
    if(window.Connection) {
      if(navigator.connection.type == Connection.NONE) {
        $ionicPopup.alert({
          title: 'No Internet Connection',
          content: 'Sorry, no Internet connectivity detected. Please reconnect and try again.'
        })
        .then(function(result) {
            ionic.Platform.exitApp();
          
        });
	  }
	}
		
	loadFavs(); //load all favs
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }
	
		  if(window.plugins && window.plugins.AdMob) {
                var admob_key = device.platform == "Android" ? "ca-app-pub-3446794639831831/6731737151" : "ca-app-pub-3446794639831831/6731737151";
                var admob = window.plugins.AdMob;
                admob.createBannerView( 
                    {
                        'publisherId': admob_key,
                        'adSize': admob.AD_SIZE.BANNER,
                        'bannerAtTop': false
                    }, 
                    function() {
                        admob.requestAd(
                            { 'isTesting': false }, 
                            function() {
                                admob.showAd(true);
                            }, 
                            function() { console.log('failed to request ad'); }
                        );
                    }, 
                    function() { console.log('failed to create banner view'); }
                );
            }
	
  });
})



.config(function($stateProvider, $urlRouterProvider) {
  $urlRouterProvider.otherwise('/')

  $stateProvider.state('main', {
    url: '/',
    templateUrl: 'templates/main.html',
	controller: 'CatListCtrl'
  })
  
    $stateProvider.state('statusByCat', {
    url: '/status/cat/:catId/:pageNo',
    templateUrl: 'templates/statusList.html',
	controller: 'statusByCatController'
  })
  
  
  $stateProvider.state('statusByFav', {
    url: '/status/fav',
    templateUrl: 'templates/statusListFav.html',
	controller: 'statusByFavController'
  })
  
    $stateProvider.state('settings', {
    url: '/settings',
    templateUrl: 'templates/settings.html',
	controller: 'settingsController'
  })
  
   $stateProvider.state('submit', {
    url: '/submit',
    templateUrl: 'templates/submit.html',
	controller: 'submitStatusController'
  })
})



function loadFavs(){
	currentFavs = [];
	var favStatuses = JSON.parse(window.localStorage['favStatuses'] || '{}');
	  for (var i = 0; i < favStatuses.length; i++) { 
				var object = favStatuses[i];
				//console.log(object);
				currentFavs.push({ statustext: object.statustext, code: object.code });
		}
	window.localStorage['favStatuses'] = JSON.stringify(currentFavs);
}


function toggleFav(thatObj){
	var changeTo="";
if(thatObj.getAttribute('src') === "img/ico0.png"){
	//item favorated
	changeTo="img/ico1.png";
	var itemCode = thatObj.getAttribute('data-item-code');
	var itemStatus = thatObj.getAttribute('data-status');
	currentFavs.push({ statustext: itemStatus, code: itemCode });
	//console.log(currentFavs);
	
}
else{
	//item unfavorated
	changeTo="img/ico0.png";
	var tempFavs = currentFavs;
	currentFavs=[];
	var itemCode = thatObj.getAttribute('data-item-code');
	//currentFavs.push({ statustext: itemCode, code: itemStatus });
	//console.log(currentFavs);
	for (var i = 0; i < tempFavs.length; i++) {
			
		if(tempFavs[i].code !== itemCode){
			currentFavs.push(tempFavs[i]);
			
		}
	}
	
	//console.log(currentFavs);
}
window.localStorage['favStatuses'] = JSON.stringify(currentFavs);
thatObj.setAttribute('src',changeTo);
}






















